/* Popups ================ */

:root {
  --popup-background-color: var(--color-blue);
  --popup-border-radius: 8px;

  --popup-container-width: 97%;
  --popup-container-max-width: 468px;
  --popup-container-z-index: 2;

  --popup-overlay-border: 1px solid var(--color-primary);
  --popup-overlay-background-color: rgba(0, 0, 0, .6);
  --popup-overlay-z-index: 1;

  --popup-button-close-size: 20px;
  --popup-button-close-icon-size: 16px;
  --popup-button-close-color: var(--color-primary);
  --popup-button-close-color-hover: var(--color-secondary);
  --popup-button-close-positions: 20px;
  --popup-button-close-z-index: 2;
}

.popup {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: var(--z-index-popup);
  display: flex;
  width: 100%;
  height: 100%;
  overflow: hidden;
  visibility: hidden;
  opacity: 0;
  transition: var(--transition-type) var(--transition-time);
  pointer-events: none;
  -webkit-overflow-scrolling: touch;
}

.popup--open {
  visibility: visible;
  opacity: 1;
  pointer-events: auto;

  .popup__overlay {
    visibility: visible;
    opacity: 1;
  }

  .popup__container {
    opacity: 1;
    transform: scale(1);
  }
}

.popup__overlay {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: var(--popup-overlay-z-index);
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: var(--popup-overlay-background-color);
  visibility: hidden;
  opacity: 0;
  transition: var(--transition-type) var(--transition-time);
}

.popup__container {
  position: relative;
  z-index: var(--popup-container-z-index);
  display: block;
  width: var(--popup-container-width);
  max-width: var(--popup-container-max-width);
  height: auto;
  min-height: 100px;
  max-height: 100%;
  margin: auto;
  border: var(--popup-overlay-border);
  border-radius: var(--popup-border-radius);
  overflow-y: auto;
  background: var(--popup-background-color);
  opacity: 0;
  transform: scale(.7);
  transition: var(--transition-type) var(--transition-time);
  -webkit-overflow-scrolling: touch;
}

.popup__close {
  position: absolute;
  top: var(--popup-button-close-positions);
  right: var(--popup-button-close-positions);
  z-index: var(--popup-button-close-z-index);
  display: flex;
  align-items: center;
  justify-content: center;
  width: var(--popup-button-close-size);
  height: var(--popup-button-close-size);
  padding: 0;
  border: 0;
  color: var(--popup-button-close-color);
  font-size: 0;
  background: transparent;

  &:hover {
    color: var(--popup-button-close-color-hover);
  }

  .icon {
    width: var(--popup-button-close-icon-size);
    height: var(--popup-button-close-icon-size);
  }
}

.popup__content {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
  padding: 50px 30px;
  overflow: hidden;
  text-align: center;
  background-color: var(--color-blue);
  background-image: url("../images/blue_background.jpg");
  background-repeat: no-repeat;
  background-position: top right;
  background-size: 120%;

  @media (--tablet-max) {
    max-width: 400px;
    padding: 30px 20px;
    margin: 0 auto;
  }
}

.popup__title {
  margin: 0 auto 25px;
  color: var(--color-primary);
  font-size: var(--text-size-h3);

  @media (--tablet-max) {
    margin-bottom: 15px;
  }
}

.popup__subtitle {
  padding-right: 30px;
  padding-left: 30px;
  color: var(--color-primary);

  @media (--tablet-max) {
    padding: 0 10px;
  }
}

.popup__form {
  margin-top: 45px;

  @media (--tablet-max) {
    margin-top: 25px;
  }
}

.popup__button {
  box-shadow: 2px 10px 24px rgba(46, 165, 218, .74);
}
/* ================ end popups */
